Bug 111275 - Feature: CCS_E modifier support and dri_query_image fixes
Summary: Feature: CCS_E modifier support and dri_query_image fixes
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/Iris (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Jordan Justen
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 111265
  Show dependency treegraph
 
Reported: 2019-08-01 02:18 UTC by Kenneth Graunke
Modified: 2019-08-14 15:41 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth Graunke 2019-08-01 02:18:19 UTC
I would like to land support for CCS_E modifiers in iris before the 19.2 release branches.  Most of the patches have already been written, but are not out for review yet.

We are likely going to need to adjust one of the Gallium APIs for implementing dri_query_image, which I would rather land before the branch point.  I hope to have a proposal for that out shortly.
Comment 1 Kenneth Graunke 2019-08-05 23:17:20 UTC
It's this MR:
https://gitlab.freedesktop.org/mesa/mesa/merge_requests/1588/diffs
Comment 2 Jordan Justen 2019-08-14 01:37:33 UTC
Merged into mesa master branch as:

commit 0f5be81eddfbdcb39a0de10afac2b2ec74790e70
Date:   Mon Jun 24 19:24:37 2019 -0700

    iris: Expose aux buffer as 2nd plane w/modifiers
Comment 3 Eero Tamminen 2019-08-14 15:41:19 UTC
Verified.  At best onscreen write bound synthetic tests improve their perf nearly by 2x (to same level as i965) due to end-to-end render buffer compression working now.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.